Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000241Core InformRelationspublic2010-08-10 18:552010-10-28 00:30
ReporterAaronReed 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000241: Relating something to "nothing" causes a Code 10 compiler crash.
DescriptionUsing a phrase like "testobj requires nothing" causes a compiler crash with a "Code 10" error:

I've now read your source text, which is 38 words long.
++ 0% (Lexical analysis)
++ 5% (Semantic analysis)
I've also read Standard Rules by Graham Nelson, which is 39419 words long.
++ 15% (Drawing inferences)
++ 20% (Binding rulebooks)
++ 23% (Binding rulebooks)
++ 26% (Binding rulebooks)
++ 29% (Binding rulebooks)
++ 32% (Binding rulebooks)
++ 35% (Binding rulebooks)
++ 38% (Binding rulebooks)

Compiler finished with code 10
Minimal Source Text To Reproduce
Stage is a room.

requirement relates various things to various things. The verb to require (he requires, they require, 
he required, it is required, he is requiring) implies the requirement relation. 

testobj is a thing. It requires nothing. 
Additional InformationThe compiler also crashes with "one to various" and "one to one"; "various to one" still crashes, but with a different error message.
TagsNo tags attached.
Effect(critical) Compiler crashes
Attached Files

- Relationships

-  Notes
(0000390)
EmacsUser (manager)
2010-08-11 10:55

Confirmed. A various to one relation yields this message:

An internal error has occurred: malformed property inference. The current sentence is 'It requires nothing'; the error was detected at line 576 of "Chapter 17/Properties.w".
(0000462)
graham (administrator)
2010-08-31 03:54

An oversight, but easily fixed. "Nothing" is, linguistically, sometimes something, and sometimes not. There is now a proper problem message.

- Issue History
Date Modified Username Field Change
2010-08-10 18:55 AaronReed New Issue
2010-08-11 10:55 EmacsUser Note Added: 0000390
2010-08-11 10:55 EmacsUser Status new => confirmed
2010-08-31 03:54 graham Note Added: 0000462
2010-08-31 03:54 graham Status confirmed => resolved
2010-08-31 03:54 graham Resolution open => fixed
2010-08-31 03:54 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker